.. AUTO-GENERATED FILE. DO NOT EDIT. hardware-stores-get-one ======================= Source ------ - Repository: ``jef-systems/jef-hardware-backend`` - Source Run ID: ``25090515545`` - Source SHA: ``444376867c764658b4ed0286bc44ff0ac8c80995`` - Module: ``hardware`` - Documentation Scope: ``get`` - Lambda: ``jef-hardware-get-5`` Endpoint -------- - API Name: ``jef-hardware`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/hardware-stores-get-one`` - Complete Endpoint: ``https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-get-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-get-5`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-hardware-get-5 API Name: jef-hardware Action: get Method: GET Resource Path: /hardware-stores-get-one Table: - table: jef-hardware-stores - operation: get-one Payload Schema: - pk: entity_number Payload Example: - pk: 1001 Response Schema: - exists: boolean - message: string - item: {"entity_number":"string","store_code":"string","store_name":"string","branch_name":"string","receipt_name":"string","address":"string","contact_number":"string","tin_number":"string","permit_to_use_number":"string","receipt_footer_message":"string","receipt_paper_width":"string","receipt_characters_per_line":"number","active":"boolean","updated_at":"string"} Request Payload --------------- .. code-block:: json { "pk": "entity_number" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"entity_number\":\"string\",\"store_code\":\"string\",\"store_name\":\"string\",\"branch_name\":\"string\",\"receipt_name\":\"string\",\"address\":\"string\",\"contact_number\":\"string\",\"tin_number\":\"string\",\"permit_to_use_number\":\"string\",\"receipt_footer_message\":\"string\",\"receipt_paper_width\":\"string\",\"receipt_characters_per_line\":\"number\",\"active\":\"boolean\",\"updated_at\":\"string\"}" } CMD curl -------- .. code-block:: text curl "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-get-one?pk=1001" PowerShell curl --------------- .. code-block:: text curl.exe "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-stores-get-one?pk=1001"